import request from '@/utils/request'

// 查询cps_usr_wechat微信用户列表
export function listUsr(query) {
  return request({
    url: '/cp/usr/list',
    method: 'get',
    params: query
  })
}

// 查询cps_usr_wechat微信用户详细
export function getUsr(id) {
  return request({
    url: '/cp/usr/' + id,
    method: 'get'
  })
}

// 新增cps_usr_wechat微信用户
export function addUsr(data) {
  return request({
    url: '/cp/usr',
    method: 'post',
    data: data
  })
}

// 修改cps_usr_wechat微信用户
export function updateUsr(data) {
  return request({
    url: '/cp/usr',
    method: 'put',
    data: data
  })
}

// 删除cps_usr_wechat微信用户
export function delUsr(id) {
  return request({
    url: '/cp/usr/' + id,
    method: 'delete'
  })
}
